Package ru.bitel.bgbilling.modules.bill.common.bean

# Class AttributeType

java.lang.Object
ru.bitel.common.model.Id
ru.bitel.common.model.IdTitle
ru.bitel.bgbilling.modules.bill.common.bean.AttributeType

All Implemented Interfaces:
  `java.io.Serializable`, `GuiTitlable`, `Idable`, `ListItem`

    public class AttributeType
    extends IdTitle

Тип реквизита.
Типы реквизитов ранее не хранились в БД, а заводились в конфиге. Но теперь(с версии 6.3) они храняться в таблице bill_attribute_type_$mid
name - ключ
title - описание

See Also:
  Serialized Form

- ## Field Summary

  ### Fields inherited from class ru.bitel.common.model.IdTitle

  `title`

  ### Fields inherited from class ru.bitel.common.model.Id

  `id`

- ## Constructor Summary

  Constructors
  Constructor | Description
  --- | ---
  `AttributeType()` |
  `AttributeType​(int id, java.lang.String name, java.lang.String title, java.lang.String check)` |

- ## Method Summary

  Modifier and Type | Method | Description
  --- | --- | ---
  `java.lang.String` | `getCheck()` |
  `java.lang.String` | `getName()` |
  `void` | `setCheck​(java.lang.String check)` |
  `void` | `setName​(java.lang.String name)` |

  ### Methods inherited from class ru.bitel.common.model.IdTitle

  `copyTo, getGuiTitle, getTitle, setTitle, toIdTitle, toString`

  ### Methods inherited from class ru.bitel.common.model.Id

  `copyTo, equals, getId, hashCode, newIdList, newIdSet, newIdSet, newIdSet, newIdSet, newMap, setId`

  ### Methods inherited from class java.lang.Object

  `clone, finalize, getClass, notify, notifyAll, wait, wait, wait`

  ### Methods inherited from interface ru.bitel.common.model.ListItem

  `getId`

- ## Constructor Details

  - ### AttributeType

    public AttributeType()

  - ### AttributeType

    public AttributeType​(int id, java.lang.String name, java.lang.String title, java.lang.String check)

- ## Method Details

  - ### getName

    public java.lang.String getName()

  - ### setName

    public void setName​(java.lang.String name)

  - ### getCheck

    public java.lang.String getCheck()

  - ### setCheck

    public void setCheck​(java.lang.String check)